MQLocalQueue (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.messaging.mq.MQLocalQueue interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.messaging.mq
Interface MQLocalQueue

All Superinterfaces:
  ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, MQBase, MQQueue, java.io.Serializable

    public interface MQLocalQueue

extends MQQueue

Local queue objects are the only type of queue object that represent a real queue that holds messages. Because local queue objects are the only type that hold messages, they have a wide variety of uses. This book generally refers to local queue objects as local queues, because they represent a real queue. A simple example of using a local queue is where multiple applications communicate asynchronously on the same machine. Applications put messages to and get messages from that same local queue. All other queue object types can be considered as methods for creating local queues, resolving the name and location of local queues, or routing messages between local queues.

Persistable:
  true

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getCFSTRUCT()` Specific to ZOS and limited to 12 characters CF structure name (parameter identifier: MQCA_CF_STRUC_NAME).
`MQChannel` | `getChannels()`
`java.lang.String` | `getClusterWorkloadUseQueue()` CLWLUSEQ This queue attribute specifies the behavior of an MQPUT operation when the target queue has a local instance and at least one remote cluster instance (except where the MQPUT originates from a cluster channel).
`int` | `getDefinitionType()` Queue definition type (parameter identifier: MQIA_DEFINITION_TYPE).
`boolean` | `getGet()` Whether applications are to be permitted to get messages from this queue: ENABLED - Messages can be retrieved from the queue (by suitably authorized applications).
`java.lang.String` | `getInitiationQueue()` Initiation queue name (parameter identifier: MQCA_INITIATION_Q_NAME).
`int` | `getMaxMessageLength()` Maximum message length (parameter identifier: MQIA_MAX_MSG_LENGTH).
`int` | `getMaxQueueDepth()` Maximum queue depth (parameter identifier: MQIA_MAX_Q_DEPTH).
`int` | `getTransmissionUsage()` Usage (parameter identifier: MQIA_USAGE).
`boolean` | `getTriggerControl()` Trigger control (parameter identifier: MQIA_TRIGGER_CONTROL).
`java.lang.String` | `getTriggerData()` Trigger data (parameter identifier: MQCA_TRIGGER_DATA).
`long` | `getTriggerDepth()` The number of messages that have to be on the queue before a trigger message is written.
`int` | `getTriggerType()` Trigger type (parameter identifier: MQIA_TRIGGER_TYPE).
`boolean` | `hasCFSTRUCT()`
`boolean` | `hasChannels()`
`boolean` | `hasClusterWorkloadUseQueue()`
`boolean` | `hasDefinitionType()`
`boolean` | `hasGet()`
`boolean` | `hasInitiationQueue()`
`boolean` | `hasMaxMessageLength()`
`boolean` | `hasMaxQueueDepth()`
`boolean` | `hasTransmissionUsage()`
`boolean` | `hasTriggerControl()`
`boolean` | `hasTriggerData()`
`boolean` | `hasTriggerDepth()`
`boolean` | `hasTriggerType()`
`void` | `setCFSTRUCT(java.lang.String x)`
`void` | `setChannels(MQChannel x)`
`void` | `setClusterWorkloadUseQueue(java.lang.String x)`
`void` | `setDefinitionType(int x)`
`void` | `setGet(boolean x)`
`void` | `setInitiationQueue(java.lang.String x)`
`void` | `setMaxMessageLength(int x)`
`void` | `setMaxQueueDepth(int x)`
`void` | `setTransmissionUsage(int x)`
`void` | `setTriggerControl(boolean x)`
`void` | `setTriggerData(java.lang.String x)`
`void` | `setTriggerDepth(long x)`
`void` | `setTriggerType(int x)`

Methods inherited from interface com.collation.platform.model.topology.app.messaging.mq.MQQueue
`getDefaultPersistence, getName, getPut, getQSGDISP, getQueueManager, hasDefaultPersistence, hasName, hasPut, hasQSGDISP, hasQueueManager, setDefaultPersistence, setName, setPut, setQSGDISP, setQueueManager`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.app.messaging.mq.MQBase
`getDefault, getIsValid, getSystem, hasDefault, hasIsValid, hasSystem, setDefault, setIsValid, setSystem`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getDefinitionType

    int getDefinitionType()
                          throws AttributeNotSetException

  Queue definition type (parameter identifier: MQIA_DEFINITION_TYPE).

  Throws:
    `AttributeNotSetException`

### setDefinitionType

    void setDefinitionType(int x)

### hasDefinitionType

    boolean hasDefinitionType()

### getTriggerControl

    boolean getTriggerControl()
                              throws AttributeNotSetException

  Trigger control (parameter identifier: MQIA_TRIGGER_CONTROL).

  Throws:
    `AttributeNotSetException`

### setTriggerControl

    void setTriggerControl(boolean x)

### hasTriggerControl

    boolean hasTriggerControl()

### getInitiationQueue

    java.lang.String getInitiationQueue()
                                        throws AttributeNotSetException

  Initiation queue name (parameter identifier: MQCA_INITIATION_Q_NAME). The maximum length of the string is MQ_Q_NAME_LENGTH.

  Throws:
    `AttributeNotSetException`

### setInitiationQueue

    void setInitiationQueue(java.lang.String x)

### hasInitiationQueue

    boolean hasInitiationQueue()

### getMaxMessageLength

    int getMaxMessageLength()
                            throws AttributeNotSetException

  Maximum message length (parameter identifier: MQIA_MAX_MSG_LENGTH).

  Throws:
    `AttributeNotSetException`

### setMaxMessageLength

    void setMaxMessageLength(int x)

### hasMaxMessageLength

    boolean hasMaxMessageLength()

### getCFSTRUCT

    java.lang.String getCFSTRUCT()
                                 throws AttributeNotSetException

  Specific to ZOS and limited to 12 characters CF structure name (parameter identifier: MQCA_CF_STRUC_NAME). The maximum length of the string is MQ_CF_STRUC_NAME_LENGTH.

  Throws:
    `AttributeNotSetException`

### setCFSTRUCT

    void setCFSTRUCT(java.lang.String x)

### hasCFSTRUCT

    boolean hasCFSTRUCT()

### getTriggerType

    int getTriggerType()
                       throws AttributeNotSetException

  Trigger type (parameter identifier: MQIA_TRIGGER_TYPE).

  Throws:
    `AttributeNotSetException`

### setTriggerType

    void setTriggerType(int x)

### hasTriggerType

    boolean hasTriggerType()

### getClusterWorkloadUseQueue

    java.lang.String getClusterWorkloadUseQueue()
                                                throws AttributeNotSetException

  CLWLUSEQ This queue attribute specifies the behavior of an MQPUT operation when the target queue has a local instance and at least one remote cluster instance (except where the MQPUT originates from a cluster channel). This parameter is valid only for local queues. If you specify QMGR, the behavior is as specified by the CLWLUSEQ parameter of the queue manager definition. If you specify ANY, the queue manager treats the local queue as another instance of the cluster queue for the purposes of workload distribution. If you specify LOCAL, the local queue is the only target of the MQPUT operation.

  Throws:
    `AttributeNotSetException`

### setClusterWorkloadUseQueue

    void setClusterWorkloadUseQueue(java.lang.String x)

### hasClusterWorkloadUseQueue

    boolean hasClusterWorkloadUseQueue()

### getGet

    boolean getGet()
                   throws AttributeNotSetException

  Whether applications are to be permitted to get messages from this queue: ENABLED - Messages can be retrieved from the queue (by suitably authorized applications). DISABLED -Applications cannot retrieve messages from the queue.

  Throws:
    `AttributeNotSetException`

### setGet

    void setGet(boolean x)

### hasGet

    boolean hasGet()

### getTransmissionUsage

    int getTransmissionUsage()
                             throws AttributeNotSetException

  Usage (parameter identifier: MQIA_USAGE).

  Throws:
    `AttributeNotSetException`

### setTransmissionUsage

    void setTransmissionUsage(int x)

### hasTransmissionUsage

    boolean hasTransmissionUsage()

### getTriggerData

    java.lang.String getTriggerData()
                                    throws AttributeNotSetException

  Trigger data (parameter identifier: MQCA_TRIGGER_DATA). The maximum length of the string is MQ_TRIGGER_DATA_LENGTH.

  Throws:
    `AttributeNotSetException`

### setTriggerData

    void setTriggerData(java.lang.String x)

### hasTriggerData

    boolean hasTriggerData()

### getTriggerDepth

    long getTriggerDepth()
                         throws AttributeNotSetException

  The number of messages that have to be on the queue before a trigger message is written. Defined in: MQQueue class Data Type: Long Syntax: To get: trigdepthand = MQQueue.TriggerDepth To set: MQQueue.TriggerDepth = trigdepthand Trigger depth (parameter identifier: MQIA_TRIGGER_DEPTH).

  Throws:
    `AttributeNotSetException`

### setTriggerDepth

    void setTriggerDepth(long x)

### hasTriggerDepth

    boolean hasTriggerDepth()

### getChannels

    MQChannel getChannels()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.InvokedThrough" reverse="false"

### setChannels

    void setChannels(MQChannel x)

### hasChannels

    boolean hasChannels()

### getMaxQueueDepth

    int getMaxQueueDepth()
                         throws AttributeNotSetException

  Maximum queue depth (parameter identifier: MQIA_MAX_Q_DEPTH). MsgDeliverySequence (MQCFIN)

  Throws:
    `AttributeNotSetException`

### setMaxQueueDepth

    void setMaxQueueDepth(int x)

### hasMaxQueueDepth

    boolean hasMaxQueueDepth()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD